<?php


//____________SETTINGS____________________
//define the directory it should look in
$media_directory = "media";
//Define the file types you want it to look for
$file_types = array("jpg","flv","png");
//____________SETTINGS____________________

include "includes/functions.php";


//shouldn't need to change anything below here.
$files = list_dir($media_directory);

$num = count($files);
$rand = rand(0,$num-1);

//if you haven't called a specific file, show one randomly
if(isset($_GET["i"]) && is_numeric($_GET["i"]) && (($_GET["i"])<=$num))
	$to_show = $files[$_GET["i"]];
else
	$to_show = $files[$rand];


//show the title based on the image filename. (underscores become spaces, eg: my_awesome_spaceship.jpg becomes 'my awesome spaceship')
$title = extract_msg($to_show);
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
	<title>Ideacog Random JPG/Flash</title>
	<link rel="stylesheet" href="includes/style.css" type="text/css" media="screen" title="no title" charset="utf-8">
	<script  src="js/swfobject.js" type="text/javascript" charset="utf-8"></script>

	<script type="text/javascript" charset="utf-8">
		var flashvars = {

		idtext: "<?=htmlentities($title)?>",
		<?php
		$ext = file_ext($to_show);
		if($ext =="flv")
			echo 'idmov: "'.$to_show.'"';
		else	
			echo 'idimg: "'.$media_directory.'/'.$to_show.'"';
		?>
		};
		var params = {};
		var attributes = {};
		attributes.id = "idfl";
		swfobject.embedSWF("<?=$media_directory?>/burnt-cog.swf", "idfl", "895", "502", "8.0.0", false, flashvars, params, attributes);
	</script>

</head>
<body>
	
	
	
	
	<div id="all">
	<div id="head">
		<div id="nav">
		<a href="http://ideacog.net"><h1>ideacog </h1></a>
		<div id="piclinks">
			<?php
			//this automatically builds a list of links to your image/flash files.
			//edit in includes/functions.php
			create_nav($files);
			?>	
		</div>
	</div>

	<div id="image">

		<div id="idfl">
			<noscript>
				<!-- If they don't have Javascript, set the default.  -->
				<object classid="clsid:d27cdb6e-ae6d-11cf-96b8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=8,0,0,0" width="895" height="502" id="ideacog_burnt-cog" align="middle">
				<param name="allowScriptAccess" value="sameDomain" />
				<param name="allowFullScreen" value="false" />
				<param name="movie" value="<?=$media_directory?>/burnt-cog.swf?idimg=<?=$media_directory?>/<?=$to_show?>" /><param name="quality" value="high" /><param name="wmode" value="transparent" /><param name="bgcolor" value="#000000" />	<embed src="<?=$media_directory?>/burnt-cog.swf?idimg=<?=$media_directory?>/<?=$to_show?>" quality="high" wmode="transparent" bgcolor="#000000" width="895" height="506" name="ideacog_burnt-cog" align="middle" allowScriptAccess="sameDomain" allowFullScreen="false" type="application/x-shockwave-flash" pluginspage="http://www.macromedia.com/go/getflashplayer" />
				</object>
			</noscript>
			
		</div>
	</div>



	
	</body>
	</html>
